Units
Unit objects represent top-level unit data from AppFolio®. Skywalk API allows you to obtain the following unit attributes from AppFolio®.
The Unit Object
Attributes
appfolioIdstring
Unique AppFolio ID for unit.
Example:
"210"
namestring
Name of unit. Often the unit number.
Example:
"101"
marketRentstring
Market rent for the unit.
Example:
"1,950.00"
sqFtstring
Unit's Square footage.
Example:
"950"
bedroomsstring
Number of bedrooms in unit.
Example:
"2"
bathroomsstring
Number of bathrooms in unit.
Example:
"2.00"
tagsstring[]
A list of tags for the unit.
Example:
["loft"]
rentStatusstring
Rental status of the unit.
Example:
null
More Attributes
descriptionstring
property.appfolioIdstring
property.labelstring
address.streetstring
address.street2string
address.citystring
address.statestring
address.zipstring
advertisedRentstring
typestring
applicationFeestring
rentReadyboolean
legalRentstring
The Unit Object
{
"appfolioId": "210",
"name": "101",
"marketRent": "1,950.00",
"sqFt": "950",
"bedrooms": "2",
"bathrooms": "2.00",
"tags": [
"loft"
],
"rentStatus": null,
"rentable": true,
"description": "",
"property": {
"appfolioId": "7",
"label": "Warm Weather Apartments"
},
"fullAddress": "1234 Warm Weather Rd., CA 90001",
"address": {
"street": "1234 Warm Weather Rd.",
"street2": "101",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"marketingTitle": null,
"marketingDescription": "",
"advertisedRent": "1,950.00",
"legalRent": null,
"computedMarketRent": "1,950.00",
"postedToWebsite": true,
"postedToInternet": true,
"youTubeURL": null,
"type": "2 Bed + 2 Bath w/ Loft",
"createdOn": "02/09/2017",
"rubsEnabled": null,
"rubsEnabledOn": null,
"applicationFee": null,
"rentReady": true,
"rentDueDay": "1",
"readyForShowingOn": null,
"defaultDeposit": null,
"rentableUid": "15557de-edfe-4b10-851e-ade6815ee106"
}
Get All Units
GET /v1/units
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The units endpoint returns a list of all units in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.
Parameters
propertyIdselect
AppFolio ID of a Property to serve as a filter.
propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.
ownerIdselect
AppFolio ID of an Owner to serve as a filter.
Returns
The standard List Response Format with a data property containing an array of Unit objects.
GET /v1/units
curl -X GET 'https://api.skywalkapi.com/v1/units' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/units",
"query": {},
"count": 2,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/units?cursor=abcdefg"
},
"data": [
{
"appfolioId": "210",
"name": "101",
"marketRent": "1,950.00",
"sqFt": "950",
"bedrooms": "2",
"bathrooms": "2.00",
"tags": [
"loft"
],
"rentStatus": null,
"rentable": true,
"description": "",
"property": {
"appfolioId": "7",
"label": "Warm Weather Apartments"
},
"fullAddress": "1234 Warm Weather Rd., CA 90001",
"address": {
"street": "1234 Warm Weather Rd.",
"street2": "101",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"marketingTitle": null,
"marketingDescription": "",
"advertisedRent": "1,950.00",
"legalRent": null,
"computedMarketRent": "1,950.00",
"postedToWebsite": true,
"postedToInternet": true,
"youTubeURL": null,
"type": "2 Bed + 2 Bath w/ Loft",
"createdOn": "02/09/2017",
"rubsEnabled": null,
"rubsEnabledOn": null,
"applicationFee": null,
"rentReady": true,
"rentDueDay": "1",
"readyForShowingOn": null,
"defaultDeposit": null,
"rentableUid": "15557de-edfe-4b10-851e-ade6815ee106"
},
{
"appfolioId": "212",
"name": "102",
"marketRent": "1,950.00",
"sqFt": "950",
"bedrooms": "2",
"bathrooms": "2.00",
"tags": [],
"rentStatus": null,
"rentable": true,
"description": "",
"property": {
"appfolioId": "7",
"label": "Warm Weather Apartments"
},
"fullAddress": "1234 Warm Weather Rd., CA 90001",
"address": {
"street": "1234 Warm Weather Rd.",
"street2": "102",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"marketingTitle": null,
"marketingDescription": "",
"advertisedRent": "1,950.00",
"postedToWebsite": false,
"postedToInternet": false,
"youTubeURL": null,
"type": null,
"createdOn": "02/09/2017",
"rubsEnabled": null,
"rubsEnabledOn": null,
"legalRent": null,
"applicationFee": null,
"rentReady": false,
"rentDueDay": "1",
"computedMarketRent": "1,950.00",
"readyForShowingOn": null,
"defaultDeposit": null,
"rentableUid": "17777de-edfe-4b10-851e-ade6815ee106"
}
]
}